import { Service } from "../service";
import * as express from "express";
import { MongodbService } from "./mongodbService";
export declare class ExpressService extends Service {
    name: "ExpressService";
    dependencies: string[];
    services: {
        MongodbService: MongodbService;
    };
    server: express.Application;
    constructor(config?: {
        http?: {
            port?: number;
            host?: string;
        };
        staticResources?: {
            path: string;
            route: string;
        }[];
    });
    private host;
    private port;
    initialize(done: any): void;
    asBuiltIn(): void;
    private staticPathes;
    static(path: string, route?: string): void;
    private useStatic(info);
}
